> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.endole.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

Search company records using company names, registration numbers, or keywords.

<Callout icon="coins" iconType="regular">
  **Cost:** 1 credit per request
</Callout>

## Endpoint

```http theme={null}
GET https://api.endole.co.uk/company/search?query={query}
```

## Parameters

| Parameter | Required | Description |
| - | - | - |
| query | Yes | The company name, registration number, or keyword to search for. |

## Example Request

```shellscript theme={null}
curl -X GET "https://api.endole.co.uk/company/search?query=tesco+plc" \
  -H "Authorization: Bearer 33e2ea54ca6d9ce3f70b24a4e13d9cf9a451c51f1f2140d21e8e2131cd37fcc"
```

## Example Response

```json theme={null}
{
  "status": "success",
  "query": "tesco plc",
  "data": {
    "search": {
      "pagination": {
        "page": "1",
        "per_page": "20",
        "total_items": "229",
        "total_pages": "12"
      },
      "items": [
        {
          "company_number": "00445790",
          "company_name": "Tesco Plc",
          "company_status": "Active",
          "registered_office_address": {
            "premises": "",
            "address_line_1": "Tesco House, Shire Park",
            "address_line_2": "Kestrel Way",
            "care_of": "",
            "locality": "Welwyn Garden City",
            "region": "",
            "postal_code": "AL7 1GA",
            "po_box": "",
            "country": "United Kingdom"
          }
        },
        {
          "company_number": "00519500",
          "company_name": "Tesco Stores Limited",
          "company_status": "Active",
          "registered_office_address": {
            "premises": "",
            "address_line_1": "Tesco House, Shire Park",
            "address_line_2": "Kestrel Way",
            "care_of": "",
            "locality": "Welwyn Garden City",
            "region": "",
            "postal_code": "AL7 1GA",
            "po_box": "",
            "country": "United Kingdom"
          }
        },
        {
          "company_number": "00243011",
          "company_name": "Tesco Holdings Limited",
          "company_status": "Active",
          "registered_office_address": {
            "premises": "",
            "address_line_1": "Tesco House, Shire Park",
            "address_line_2": "Kestrel Way",
            "care_of": "",
            "locality": "Welwyn Garden City",
            "region": "",
            "postal_code": "AL7 1GA",
            "po_box": "",
            "country": "United Kingdom"
          }
        },
        {
          "company_number": "02972724",
          "company_name": "Tesco Distribution Limited",
          "company_status": "Active",
          "registered_office_address": {
            "premises": "",
            "address_line_1": "Tesco House, Shire Park",
            "address_line_2": "Kestrel Way",
            "care_of": "",
            "locality": "Welwyn Garden City",
            "region": "",
            "postal_code": "AL7 1GA",
            "po_box": "",
            "country": "United Kingdom"
          }
        },
        {
          "company_number": "06967289",
          "company_name": "Tesco Underwriting Limited",
          "company_status": "Active",
          "registered_office_address": {
            "premises": "",
            "address_line_1": "The Omnibus Building",
            "address_line_2": "Lesbourne Road",
            "care_of": "",
            "locality": "Reigate",
            "region": "Surrey",
            "postal_code": "RH2 7LD",
            "po_box": "",
            "country": "United Kingdom"
          }
        },
        {
          "company_number": "04345023",
          "company_name": "Tesco Freetime Limited",
          "company_status": "Active",
          "registered_office_address": {
            "premises": "",
            "address_line_1": "Tesco House, Shire Park",
            "address_line_2": "Kestrel Way",
            "care_of": "",
            "locality": "Welwyn Garden City",
            "region": "",
            "postal_code": "AL7 1GA",
            "po_box": "",
            "country": ""
          }
        }
      ]
    }
  }
}
```
